ServerEvents.recipes(event => {
    event.remove({ output: 'botania:world_seed' })
    event.shaped(
        Item.of('botania:world_seed'),
        [
            'A',
            'B',
            'C'
        ],
        {
            A: 'minecraft:wheat_seeds',
            B: '#minecraft:dirt',
            C: 'mna:vinteum_dust'
        }
    )
    event.shaped(
        Item.of('botania:world_seed', 64),
        [
            'A',
            'B',
            'C'
        ],
        {
            A: 'minecraft:wheat_seeds',
            B: '#minecraft:dirt',
            C: 'kubejs:world_core'
        }
    )
    event.remove({ output: 'botania:diluted_pool' })
    event.shaped(
        Item.of('botania:diluted_pool'),
        [
            'A A',
            'BAB'
        ],
        {
            A: 'botania:livingrock_slab',
            B: 'botania:livingrock'
        }
    )
    event.remove({ output: 'botania:mana_pool' })
    event.shaped(
        Item.of('botania:mana_pool'),
        [
            'ABA',
            'CDC'
        ],
        {
            A: 'botania:livingrock_slab',
            B: 'botania:mana_tablet',
            C: 'botania:livingrock',
            D: 'botania:diluted_pool'
        }
    )
    event.shapeless(
        Item.of('appbot:fluix_mana_pool'),
        [
            'botania:mana_pool',
            'ae2:interface'
        ]
    )
    event.remove({ output: 'botania:runic_altar' })
    event.shaped(
        Item.of('botania:runic_altar'),
        [
            'ABA',
            'ACA',
            'ADA'
        ],
        {
            A: 'botania:livingrock',
            B: [
                'botania:mana_diamond',
                'botania:mana_pearl',
                'botanicalmachinery:mana_emerald'
            ],
            C: 'create:depot',
            D: 'magichem:glass_orb'
        }
    )
    event.remove({ output: 'botania:terra_plate' })
    event.shaped(
        Item.of('botania:terra_plate'),
        [
            'ABA',
            'CDE',
            'FGH'
        ],
        {
            A: 'minecraft:lapis_block',
            B: 'botania:manasteel_block',
            C: 'botania:rune_water',
            D: 'naturesaura:sky_ingot_block',
            E: 'botania:rune_earth',
            F: 'botania:rune_air',
            G: 'botania:rune_mana',
            H: 'botania:rune_fire'
        }
    )
    event.shaped(
        Item.of('botania:pebble', 4),
        [
            'A'
        ],
        {
            A: 'minecraft:cobblestone'
        }
    )
    event.remove({ output: 'botania:mana_spreader' })
    event.shaped(
        Item.of('botania:mana_spreader'),
        [
            'AAA',
            'BC ',
            'AAA'
        ],
        {
            A: '#botania:livingwood_logs',
            B: 'minecraft:gold_ingot',
            C: '#botania:petals'
        }
    )
    event.remove({ output: 'botania:alfheim_portal' })
    event.shaped(
        Item.of('botania:alfheim_portal'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: '#botania:livingwood_logs',
            B: Item.of('occultism:dimensional_matrix'),
            C: 'botania:terrasteel_ingot',
            D: 'minecraft:conduit',
            E: 'mekanism:teleportation_core'
        }
    )
    event.remove({ output: 'botania:mana_pylon' })
    event.shaped(
        Item.of('botania:mana_pylon'),
        [
            ' A ',
            'BCB',
            ' D '
        ],
        {
            A: 'botania:manasteel_ingot',
            B: 'minecraft:gold_ingot',
            C: 'botania:mana_diamond_block',
            D: Item.of('occultism:dimensional_matrix')
        }
    )
    event.remove({ output: 'botania:natura_pylon' })
    event.shaped(
        Item.of('botania:natura_pylon'),
        [
            ' A ',
            'BCB',
            ' D '
        ],
        {
            A: 'botania:terrasteel_ingot',
            B: '#botania:glimmering_livingwood_logs',
            C: 'botania:mana_pylon',
            D: Item.of('occultism:dimensional_matrix')
        }
    )
    event.remove({ output: 'mythicbotany:alfsteel_pylon' })
    event.shaped(
        Item.of('mythicbotany:alfsteel_pylon'),
        [
            ' A ',
            'BCB',
            ' D '
        ],
        {
            A: 'minecraft:ghast_tear',
            B: 'mythicbotany:alfsteel_ingot',
            C: 'botania:natura_pylon',
            D: Item.of('occultism:dimensional_matrix')
        }
    )
    event.remove({ output: 'botania:gaia_pylon' })
    event.shaped(
        Item.of('botania:gaia_pylon'),
        [
            ' A ',
            'BCB',
            ' D '
        ],
        {
            A: 'bloodmagic:ingot_hellforged',
            B: 'botania:elementium_ingot',
            C: 'mythicbotany:alfsteel_pylon',
            D: Item.of('occultism:dimensional_matrix')
        }
    )
    event.remove({ output: 'botanicalmachinery:mechanical_daisy' })
    event.shaped(
        Item.of('botanicalmachinery:mechanical_daisy'),
        [
            ' A ',
            'BCB'
        ],
        {
            A: 'botania:floating_pure_daisy',
            B: '#forge:storage_blocks/twinite',
            C: 'botania:aura_ring'
        }
    )
    event.remove({ output: 'botanicalmachinery:mechanical_mana_pool' })
    event.shaped(
        Item.of('botanicalmachinery:mechanical_mana_pool'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: 'thermal_extra:twinite_ingot',
            B: [
                'botania:fabulous_pool',
                'botania:mana_pool'
            ],
            C: 'botania:manasteel_block',
            D: 'botania:aura_ring'
        }
    )
    event.remove({ output: 'botanicalmachinery:mechanical_runic_altar' })
    event.shaped(
        Item.of('botanicalmachinery:mechanical_runic_altar'),
        [
            'ABA',
            'BDB',
            'ACA'
        ],
        {
            A: 'thermal_extra:twinite_ingot',
            B: [
                'mythicbotany:asgard_rune',
                'mythicbotany:vanaheim_rune',
                'mythicbotany:alfheim_rune',
                'mythicbotany:midgard_rune',
                'mythicbotany:joetunheim_rune',
                'mythicbotany:muspelheim_rune',
                'mythicbotany:niflheim_rune',
                'mythicbotany:nidavellir_rune',
                'mythicbotany:helheim_rune'
            ],
            C: 'botania:runic_altar',
            D: 'botania:aura_ring'
        }
    )
    event.remove({ output: 'botanicalmachinery:mechanical_brewery' })
    event.shaped(
        Item.of('botanicalmachinery:mechanical_brewery'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: 'thermal_extra:twinite_ingot',
            B: 'minecraft:blaze_rod',
            C: 'botania:flask',
            D: 'botania:aura_ring',
            E: 'botania:brewery'
        }
    )
    event.remove({ output: 'botanicalmachinery:mechanical_apothecary' })
    event.shaped(
        Item.of('botanicalmachinery:mechanical_apothecary'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: 'thermal_extra:twinite_ingot',
            B: '#botania:petals',
            C: '#botania:petals',
            D: 'botania:aura_ring',
            E: 'botania:apothecary_default'
        }
    )
    event.remove({ output: 'botanicalmachinery:alfheim_market' })
    event.shaped(
        Item.of('botanicalmachinery:alfheim_market'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: 'thermal_extra:twinite_ingot',
            B: [
                'botania:dreamwood',
                'botania:dreamwood_log'
            ],
            C: 'botania:natura_pylon',
            D: 'botania:aura_ring',
            E: 'botania:alfheim_portal'
        }
    )
    event.remove({ output: 'botanicalmachinery:industrial_agglomeration_factory' })
    event.shaped(
        Item.of('botanicalmachinery:industrial_agglomeration_factory'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: 'thermal_extra:twinite_ingot',
            B: [
                'botania:mana_diamond',
                'botania:mana_pearl'
            ],
            C: 'botania:terrasteel_ingot',
            D: 'botania:aura_ring',
            E: 'botania:terra_plate'
        }
    )
    event.remove({ output: 'botania:astrolabe' })
    event.shaped(
        Item.of('botania:astrolabe'),
        [
            ' AB',
            'ACA',
            'BAD'
        ],
        {
            A: 'botania:elementium_ingot',
            B: 'botania:life_essence',
            C: 'botania:starfield',
            D: '#botania:dreamwood_logs'
        }
    )
    event.remove({ output: 'botania:starfield' })
    event.shaped(
        Item.of('botania:starfield'),
        [
            'ABA',
            'ACA'
        ],
        {
            A: 'botania:elementium_ingot',
            B: 'botania:pixie_dust',
            C: 'naturesaura:chunk_loader'
        }
    )
    event.remove({ output: 'mythicbotany:rune_holder' })
    event.shaped(
        Item.of('mythicbotany:rune_holder'),
        [
            'ABA',
            'BCB'
        ],
        {
            A: 'botania:mana_powder',
            B: 'botania:manasteel_ingot',
            C: 'create:metal_bracket'
        }
    )
    event.remove({ output: 'mythicbotany:central_rune_holder' })
    event.shaped(
        Item.of('mythicbotany:central_rune_holder'),
        [
            ' A ',
            'ACA'
        ],
        {
            A: 'botania:terrasteel_ingot',
            C: 'mythicbotany:rune_holder'
        }
    )
})